Subject: Re: [PATCH -V3 1/2] powerpc: mm: Move ppc64 page table range definitions to separate header

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 13 Jan 2014 09:46:46 +1100

On Tue, 2014-01-07 at 07:49 +0530, Aneesh Kumar K.V wrote:
> Benjamin Herrenschmidt <[email-masked]> writes:
> 
> > On Mon, 2014-01-06 at 14:33 +0530, Aneesh Kumar K.V wrote:
> >> From: "Aneesh Kumar K.V" <[email-masked]>
> >> 
> >> This avoid mmu-hash64.h including pagetable-ppc64.h. That inclusion
> >> cause issues like
> >
> > I don't like this. We have that stuff split into too many includes
> > already it's a mess.
> 
> I understand. Let me know, if you have any suggestion on cleaning that
> up. I can do that.
> 
> >
> > Why do we need to include it from mmu*.h ?
> 
> in mmu-hash64.h added by me via 78f1dbde9fd020419313c2a0c3b602ea2427118f
> 
> /*
>  * This is necessary to get the definition of PGTABLE_RANGE which we
>  * need for various slices related matters. Note that this isn't the
>  * complete pgtable.h but only a portion of it.
>  */
> #include <asm/pgtable-ppc64.h>

For now, instead, just do fwd def of the spinlock, I don't like the
inclusion of spinlock.h there anyway.

Cheers,
Ben,